classification
Title: distutils doesn't notice --with-pydebug
Type: Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: collinwinter, georg.brandl
Priority: normal Keywords:

Created on 2006-07-29 17:45 by collinwinter, last changed 2008-01-21 17:42 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
build.py.diff collinwinter, 2006-08-02 17:12 Against r51046
NEWS.diff collinwinter, 2006-08-02 17:13 Against r51046
Messages (3)
msg29374 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2006-07-29 17:45
As it stands (as of r50921), building a C extension
module first with a debug build of Python (built with
--with-pydebug), then with a regular Python build
(without --with-pydebug) does not cause distutils to
recompile the extension module as it should. This leads
to undefined symbol errors at runtime when the module
is loaded.

The attached patch against
Lib/distutils/command/build.py causes
distutils.command.build to append '-pydebug' to the
platform-specific directory name  (e.g.,
'linux-i686-2.5') if Python was compiled with
--with-pydebug.
msg29375 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2006-08-02 17:12
Logged In: YES 
user_id=1344176

I've updated the patch to r51046. Also attached is an entry
for Misc/NEWS.
msg61427 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-21 17:42
Committed as r60166.
History
Date User Action Args
2008-01-21 17:42:49georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg61427
nosy: + georg.brandl
2006-07-29 17:45:03collinwintercreate